Skip to content

CpWorkCard⁠

Perform various operations on Collection Package (CP) work card records.

Operations⁠

createCpWorkCard⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
CpWorkCardLocatorintegeroptional
POST/nexum/{sym}/persistent/account/createCpWorkCard
POST /nexum/627/persistent/account/createCpWorkCard HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "CpWorkCardFields": {},
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createCpWorkCardNote⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
CpWorkCardLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
CpWorkCardNoteLocatorintegeroptional
POST/nexum/{sym}/persistent/account/createCpWorkCardNote
POST /nexum/627/persistent/account/createCpWorkCardNote HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "CpWorkCardLocator": 0,
  "CpWorkCardNoteFields": {},
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createCpWorkCardTracking⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
CpWorkCardLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
CpWorkCardTrackingLocatorintegeroptional
POST/nexum/{sym}/persistent/account/createCpWorkCardTracking
POST /nexum/627/persistent/account/createCpWorkCardTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "CpWorkCardLocator": 0,
  "CpWorkCardTrackingFields": {},
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

deleteCpWorkCard⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
CpWorkCardLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/persistent/account/deleteCpWorkCard
POST /nexum/627/persistent/account/deleteCpWorkCard HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "CpWorkCardLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

deleteCpWorkCardTracking⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
CpWorkCardLocatorintegeroptional
CpWorkCardTrackingLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/persistent/account/deleteCpWorkCardTracking
POST /nexum/627/persistent/account/deleteCpWorkCardTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "CpWorkCardLocator": 0,
  "CpWorkCardTrackingLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}